//---------------------------------------------------------------------------
// Klasse     : ICMP
// Datei      : ICMP.h
// Datum      : 12.07.2007
// Version    : 1.0
// Autor      : Karsten Donat
//---------------------------------------------------------------------------

#ifndef _ICMP_H_
#define _ICMP_H_

#include "Standard.h"

int ICMP_Create();
int ICMP_Destroy();

#define TYPE_ICMP 0x01 // ICMP (Ping...)

extern void icmp(Word len, Byte *buff);

struct ICMP_Header
{
   Byte ICMP_type;
   Byte ICMP_code;
   Byte ICMP_checksumByteOne;
   Byte ICMP_checksumByteTwo;
   //Rest wird ausser Acht gelassen, da er nicht zwingend verndert werden muss!
};

#endif

