//---------------------------------------------------------------------------
// Klasse     : UDP
// Datei      : UDP.h
// Datum      : 12.07.2007
// Version    : 1.0
// Autor      : Karsten Donat
//---------------------------------------------------------------------------

#ifndef _UDP_H_
#define _UDP_H_

#include "Stack.h"

int UDP_Create();
int UDP_Destroy();

extern void UDP_Sende_Antwort(Word len, Byte *buff);

#define UDP_DATA   42 // 0x2A
#define UDP_PORT_L 37 // 0x25   Stelle im Header an der bei UCP der Port hinterlegt wird
#define UDP_PORT_H 36 // 0x24   Stelle im Header an der bei UCP der Port hinterlegt wird

#define UDP_HEADERLENGHT 8

#define IP_UDP_HEADERLENGHT IP_HEADERLENGHT+UDP_HEADERLENGHT

#define TYPE_UDP  0x11

struct UDP_Header{
	uint16_t UDP_sourcePort;	
	uint16_t UDP_destPort;
	uint8_t UDP_lenght_h;
	uint8_t UDP_lenght_l;
	uint16_t UDP_checksum;
};


#endif

