//---------------------------------------------------------------------------
// Klasse     : UDP
// Datei      : UDP.cpp
// Datum      : 12.07.2007
// Version    : 1.0
// Autor      : Karsten Donat
//---------------------------------------------------------------------------

#include "UDP.h"

int UDP_Create()
{
   // ToDo: Initialisierungsroutine
   return 0;
}

int UDP_Destroy()
{
   // ToDo: Aufrumen
   return 0;
}

/*UDP Funktion, beliebige Antwort
####################################################################################*/
void UDP_Sende_Antwort(Word len, Byte *buff)
{ 
	uint16_t tempport,sum;
	struct UDP_Header *udp;
	udp = (struct UDP_Header *)&buff[34];
	
	// ETHERNET II header erzeugen
	Ethernet_II_Header_erzeugen(buff); 
	
	// IP header erzeugen
	buff[16] = ((IP_UDP_HEADERLENGHT+len) & 0xFF00)>>8;
	buff[17] = ((IP_UDP_HEADERLENGHT+len) & 0x00FF); // ip header lenght anpassen
	
	IP_Header_erzeugen(buff); 
		
	//An den Port zurcksenden, von dem das Packet gekommen ist
	tempport = udp->UDP_destPort; // Ziel Port zwischenspeichern
	udp->UDP_destPort = udp->UDP_sourcePort; //ZielPort neuschreiben
	udp->UDP_sourcePort = tempport; // SourcePort neuschreiben

	//Udp Header&Datenlnge schreiben
	udp->UDP_lenght_h = ((UDP_HEADERLENGHT+len) & 0xFF00)>>8;
	udp->UDP_lenght_l = ((UDP_HEADERLENGHT+len) & 0x00FF);
	
	//Checksumme ausrechnen...
	udp->UDP_checksum = 0x00;
	sum = checksum(&buff[26],TYPE_UDP+UDP_HEADERLENGHT+len,16+len); 
	udp->UDP_checksum = ((sum & 0xFF00) >> 8)|((sum & 0x00FF)<<8);
	
	//Und ab damit :-)
	enc28j60PacketSend(IP_UDP_HEADERLENGHT + ETH_HEADERLENGHT +len,buff);	
}
