//---------------------------------------------------------------------------
// Klasse     : config
// Datei      : config.h
// Datum      : 11.06.2007
// Version    : 1.0
// Autor      : Karsten Donat
//---------------------------------------------------------------------------

#ifndef _CONFIG_H_
#define _CONFIG_H_

#include "Standard.h"

#define Kopf_Pendel_ "Foucault-Pendel  Version 1.19"
#define Kopf_WHZ_    "Westschsische Hochschule Zwickau 2007"

extern char Kopf_Pendel[];
extern char Kopf_WHZ[];
extern char HTML_Header[];
extern char HTML_Anfang[];
extern char HTML_Zeile_Anfang[];
extern char HTML_Zeile_Mitte[];
extern char HTML_Zeile_Ende[];
extern char HTML_Ende[];


//#define	F_CPU 8000000 //in Makefile definiert
#define CLOCK = F_CPU
#define CYCLES_PER_US 	((F_CPU+500000)/1000000) 	/* cpu cycles per microsecond */


// Baudrate fr RS232 zur C-Control/ Debug
#define UART_BAUD_RATE 38400 //19200

// Info-LED PortD.4
#define InfoLED_DDR    DDRD
#define InfoLED_PORT   PORTD
#define InfoLED_PIN    PIN4//(1<<PIN4)

// INT0 fr ENC28J60
#define ENC28J60_DDR      DDRD
#define ENC28J60_PORT     PORTD
#define ENC28J60_PIN      PIN2 //(1<<PIN3) // 168: Anschluss-Pin 4

// DCF77 Empfnger
#define DCF77_DDR      DDRD
#define DCF77_PORT     PORTD
#define DCF77_PIN      PIN3 //(1<<PIN3) // 168: Anschluss-Pin 5


/*NIC Einstellungen !! -----------------------------------
#########################################################*/

//volatile 
extern Byte myip[4];
//volatile 
extern Byte mymac[6];


int config_Create();
int config_Destroy();

#endif

